Dash0 acquires Polar Signals

Manage Agent0 Automations

Update or create an automation by origin or ID

put/api/agentic-workflows/{originOrId}

Updates an existing automation or creates a new one if it doesn't exist. Useful for Infrastructure-as-Code workflows.

Parameters 2

originOrIdpathrequired

Automation origin or UUID

string
datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample requestcurl --request PUT 'https://api.eu-west-1.aws.dash0.com/api/agentic-workflows/123e4567-e89b-42d3-a456-426614174000' \
  --header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "kind": "Dash0AgenticWorkflow",
  "metadata": {
    "name": "Example"
  },
  "spec": {
    "enabled": true,
    "display": {
      "name": "Example"
    },
    "triggers": [
      {
        "kind": "schedule",
        "spec": {
          "cron": "example"
        }
      }
    ],
    "prompt": {
      "user": "example"
    },
    "guardrails": {},
    "sandbox": {
      "networkLevel": "no_network"
    }
  }
}'

Request body required

stringrequired
"Dash0AgenticWorkflow"
AgenticWorkflowMetadatarequired

Responses

The updated or created automation

stringrequired
"Dash0AgenticWorkflow"
AgenticWorkflowMetadatarequired